Skip to navigation

Update WellPlateSchema

Beta
Update WellPlateSchema.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

well_plate_schema_idstringRequired
ID of the WellPlateSchema.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Request

This endpoint expects an object.
archiveReasonstringOptional
Why the schema was archived.
archivedbooleanOptional
Whether the schema is archived.
containerSchemaIdstringOptional
The API ID of the container schema defining the well type for plates of this type.
descriptionstringOptional
Updated description. When provided, must be at most 1000 characters.
heightintegerOptional
The number of rows in the grid layout.
namestringOptional

Updated user-facing name. When provided, must be non-empty after stripping whitespace, at most 255 characters, and unique within the organization.

prefixstringOptional

The prefix used for auto-generating barcodes for inventory items of this schema. Must be unique within the registry and cannot end in a digit.

systemNamestringOptional

Updated SQL identifier for the warehouse table name. When provided, must match the pattern [a-z_][a-z0-9_$]*, cannot be a reserved table name, cannot start with ‘bnch$’, and must be unique within the organization.

widthintegerOptional
The number of columns in the grid layout.
displayNamestringOptionalDeprecated
Deprecated. Use name instead.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
Why the schema was archived.
archivedbooleanOptional
Whether the schema is archived.
containerSchemaobjectOptional
The container schema used for positions in plates of this schema.
createdAtstringOptional
When the schema was created.
descriptionstringOptional
A description of the schema.
fieldDefinitionsstringOptionalformat: "uri"
The fields inherited by plates of this schema.
heightintegerOptional
The number of rows in plates of this schema.
idstringOptional
The ID of the schema.
modifiedAtstringOptional
When the schema was last modified.
namestringOptional
The name of the schema.
prefixstringOptional
The prefix of barcodes autogenerated for plates of this schema.
registryobjectOptional
The schema's registry.
systemNamestringOptional
A unique, stable identifier for this schema used for programmatic access and integrations.
widthintegerOptional
The number of columns in plates of this schema.

Errors

400
Well Plate Schema Update Request Bad Request Error
403
Well Plate Schema Update Request Forbidden Error
404
Well Plate Schema Update Request Not Found Error
409
Well Plate Schema Update Request Conflict Error
429
Well Plate Schema Update Request Too Many Requests Error
500
Well Plate Schema Update Request Internal Server Error